{% extends 'admin/adminbase.html.twig' %}
{% import "macros/datatable.html.twig" as dt %}
{% import "macros/genCard.html.twig" as card %}
{% import "macros/genCardDetail.html.twig" as cd %}
{% block body %}
    <h5>Detail Pengajar</h5>
    <div class="row">
        <div class="col col-sm-12 mb-4">
            {{ cd.card_detail(profileName.fullName,actionName,'nama') }}
        </div>
        <div class="col col-sm-12 col-md-6 mb-4">
            {{ cd.card_detail('Profile',null,'profile') }}
            <div class="card card-genossys p-0 mt-4">
                <div class="card-body">
                    <h6>Jadwal Mengajar</h6>
                    <div class="dropdown-divider"></div>
                    {{ dt.datatable('jadwal') }}
                </div>
            </div>
        </div>
        <div class="col col-sm-12 col-md-6 mb-4">
            <div class="mb-4">
                {{ cd.card_detail('Data Identitas',null,'identitas') }}
            </div>
            <div class="mb-4">
                {{ cd.card_detail('Keahlian Mengajar',null,'keahlian') }}
            </div>
            <div class="card card-genossys p-0 mt-4">
                <div class="card-body">
                    <h6>Wilayah Mengajar</h6>
                    <div class="dropdown-divider"></div>
                    {{ dt.datatable('wilayah') }}
                </div>
            </div>
        </div>

        <div class="col col-sm-12 mb-4">
            <div class="card card-genossys p-0">
                <div class="card-body">
                    <h6 class="font-weight-bold">Ulasan</h6>
                    <div class="dropdown-divider"></div>
                    {{ dt.datatable('rating') }}
                </div>
            </div>
        </div>
        <div class="col col-sm-12 col-md-6 mb-4 ">
            <div class="card card-genossys p-0">
                <div class="card-body">
                    <h6 class="font-weight-bold">Riwayat Pemasukan <label class="float-right" id="saldoPemasukan">0</label></h6>
                    <div class="dropdown-divider"></div>
                    {{ dt.datatable('pemasukanTb') }}
                </div>
            </div>
        </div>
        <div class="col col-sm-12 col-md-6 mb-4 ">
            <div class="card card-genossys p-0">
                <div class="card-body">
                    <h6 class="font-weight-bold">Riwayat Pengeluaran <label class="float-right" id="saldoPenarikan">0</label></h6>
                    <div class="dropdown-divider"></div>
                    {{ dt.datatable('pengeluaranTb') }}
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    <script>
        $(document).ready(function () {
            getSaldo('Pemasukan');
            getSaldo('Penarikan');
        });

        function getSaldo(a) {
            var type = a === 'Pemasukan' ? 0 : 1;
            let data = {
                'id': '{{ profileName.getUser.id }}',
                'type': type
            };
            $.get('{{ path('saldo-tentor') }}', data, function (data) {
                if (data['code'] === 200) {
                    console.log(data);
                    var saldo = data['payload']['total'];
                    $('#saldo' + a).html('Rp. ' + saldo)
                }
            })

        }

        $(document).on('click', 'a#AktifkanSuspendAkun', function () {
            var isi, title, status;
            if ('{{ profileName.isActive }}' === '1') {
                title = 'Suspend Akun';
                isi = 'Apakah anda yakin akan melakukan suspend pada member {{ profileName.fullName }} ?';
                status = '0';
            } else {
                title = 'Aktifasi Akun';
                isi = 'Apakah anda yakin akan aktifkan member {{ profileName.fullName }} ?';
                status = '1';
            }
            alertify.confirm(title, isi, async function () {
                    let data = {
                        'id': '{{ profileName.getUser.id }}',
                        'status': status
                    };
                    console.log(data);
                    let res = await $.post('/Admin/pengajar/detail/update-active-pengajar', data, function (dat) {
                        if (dat['code'] === 200) {
                            window.location.reload();
                        }
                    });

                }
                , function () {
                    alertify.error('Cancel')
                });
        });

        $(document).on('click', 'a#VerifikasiAkun', function () {
            if ('{{ profileName.isVerified }}' === '1') {
                alertify.alert('Verifikasi Akun', 'Akun tentor {{ profileName.fullName }} sudah di verifikasi', function () {
                });
            } else {
                alertify.confirm('Verifikasi Akun', 'Apakah anda yakin untuk mem verifikasi akun {{ profileName.fullName }} ?', async function () {
                        let data = {
                            'id': '{{ profileName.getUser.id }}',
                            'status': '1'
                        };
                        console.log(data);
                        let res = await $.post('/Admin/pengajar/detail/update-verifikasi-pengajar', data, function (dat) {
                            if (dat['code'] === 200) {
                                window.location.reload();
                            }
                        });

                    }
                    , function () {
                        alertify.error('Cancel')
                    });
            }

        });

        $(document).on('click', 'a#UpgradeAkunkeProfessional', function () {
            if ('{{ profileName.getGrade.name }}' === 'PRO') {
                alertify.alert('Profesional Akun', 'Akun sudah Profesional', function () {
                });
            } else {
                alertify.confirm('Ubah Tipe Akun', 'Apakah anda yakin untuk merubah akun {{ profileName.fullName }} menjadi tentor Profesional ?', async function () {
                        let data = {
                            'id': '{{ profileName.getUser.id }}',
                            'status': 2
                        };
                        console.log(data);
                        let res = await $.post('/Admin/pengajar/detail/update-tipe-pengajar', data, function (dat) {
                            if (dat['code'] === 200) {
                                // console.log(dat);
                                window.location.reload();
                            }
                        });

                    }
                    , function () {
                        alertify.error('Cancel')
                    });
            }
        });
    </script>

    {{ cd.cardDetailJS(profile,space,class,whereProfile,'profile') }}
    {{ cd.cardDetailJS(nama,space,class,whereProfile,'nama') }}
    {{ cd.cardDetailJS(identitas,space,class,whereProfile,'identitas') }}
    {{ cd.cardDetailCardJS('get-keahlian',id,'keahlian') }}
    {{ dt.datatableJS(classJadwal, spaceJadwal, null, tablefieldsJadwal,whereProfile,groupBy,null,null,'jadwal') }}
    {{ dt.datatableJS(classWilayah, spaceWilayah, null, tablefieldsWilayah,whereProfile,groupBy,null,null,'wilayah') }}
    {{ dt.datatableJS(classRating, space, null, tableFieldsRating,whereProfile,null,groupBy,null,'rating') }}
    {{ dt.datatableJS(classPemasukan, space, null, tableFieldsPemasukan,wherePemasukan,groupBy,null,null,'pemasukanTb') }}
    {{ dt.datatableJS(classPemasukan, space, null, tableFieldsPemasukan,wherePenarikan,groupBy,null,null,'pengeluaranTb') }}



{% endblock %}